Bug 367331 - EUS: channel filter results lack sense of relationship and context
EUS: channel filter results lack sense of relationship and context
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Devel
All Linux
medium Severity high
: ---
: ---
Assigned To: Grant Gainey
Stephen Herr
US=16960 US=15946
: 234317 (view as bug list)
Depends On:
Blocks: 443075
  Show dependency treegraph
Reported: 2007-11-05 14:37 EST by John Arnzen
Modified: 2008-06-26 16:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-26 16:22:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Arnzen 2007-11-05 14:37:14 EST
Description of problem:
The list of results for the channel filters on the main Channels page often
include channels which do not look directly related to the filter itself --
currently there is no visual or explanatory method for relating these results to
the filter so the user is left to infer the relationship correctly or
incorrectly. Prevously, before EUS, we grouped these results into a sense of
parent/child relationships using a tree. Currently, we have a flat, unstructured
list without any sense of dependence or relationship... the user is left to
figure out what the results mean relevant to the filter criteria.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to the main Channels page using the primary navigation
2. By default, you should see a default filter and results for "RHEL" + "latest
version" + "all archs" 
3. Or change any of the filter criteria and click "filter"
Actual results:
[When using the default filter:]
Red Hat Productivity Apps Server 5.0... [archs removed]
Red Hat Supplementary Server 5.0...
Red Hat Virtualization Server 5.0...

[notice that none of the products returned explictly state "Red hat enterprise
linux" anywere in their titles, so the user must make guesses as to why these
were returned]

Expected results:
At least one entry with the product name from the filter criteria.
Any other entries should show some explicit relationship (child/associated) to
the filter's product. Even if the product isn't explictly available, using it as
a grouping element for children/associated channels would offer a direct sense
of context.

Additional info:
This is a fundamental UI and usability concept, and a common error made in
filters and search results.
Comment 1 Jie Chen 2008-01-21 10:45:48 EST
I tested in RHEL 5.0.4. I used the default filter - search for "Red hat
enterprise linux"and it showed a result of 6 channels as follows: 

Red Hat Enterprise Linux Server 5  	 
Red Hat FasTrack Server 5 	
Red Hat Network Tools Server 5 	
Red Hat Productivity Apps Server 5 	
Red Hat Supplementary Server 5 	
Red Hat Virtualization Server 5

So there was at least one entry shown up with the product name from the filter
Showing entries with explicit relationship might be the thing that we need to
work on.
Comment 3 Stephen Herr 2008-05-02 17:12:18 EDT
verified in dev - looks really good. A huge improvement over what was there.
Comment 4 Grant Gainey 2008-06-04 15:51:06 EDT
*** Bug 234317 has been marked as a duplicate of this bug. ***
Comment 5 Amy Owens 2008-06-13 09:08:00 EDT
verified in qa

Note You need to log in before you can comment on or make changes to this bug.